//
//  DeviceList.swift
//  WELDeviceExample
//

import SwiftUI
import WELDeviceLibrary

struct DeviceList: View {
    @EnvironmentObject var wrapper: ManagerWrapper
    
    var body: some View {
        VStack {
            Image("Logos")
                .imageScale(.large)
                .foregroundColor(.accentColor)
            Spacer()
            ForEach($wrapper.deviceWrappers) { $deviceWrapper in
                NavigationLink {
                    DeviceDetails()
                        .environmentObject(wrapper)
                        .environmentObject(deviceWrapper)
                } label: {
                    DeviceListRow()
                        .environmentObject(wrapper)
                        .environmentObject(deviceWrapper)
                }
            }
            Spacer()
            Text(wrapper.message)
                .padding(.bottom)
            ScanButton()
                .environmentObject(wrapper)
        }
    }
}

struct DeviceList_Previews: PreviewProvider {
    static let managerWrapper: ManagerWrapper = ManagerWrapper(true)
    
    static var previews: some View {
        DeviceList()
            .environmentObject(managerWrapper)
    }
}
