//
//  DeviceListRow.swift
//  WELDeviceExample
//

import SwiftUI
import WELDeviceLibrary

struct DeviceListRow: View {
    @EnvironmentObject var managerWrapper: ManagerWrapper
    @EnvironmentObject var deviceWrapper: DeviceWrapper
    
    var body: some View {
        HStack() {
            VStack(alignment: .leading) {
                Text("SFT Device")
                    .frame(maxWidth: .infinity)
                Text(deviceWrapper.id)
                    .font(.subheadline)
            }
        }
    }
    
    func connect() {
        guard let manager = managerWrapper.manager else {
            return
        }
        
        manager.connect(deviceWrapper.device)
    }
}

struct DeviceListRow_Previews: PreviewProvider {
    static let managerWrapper: ManagerWrapper = ManagerWrapper(true)
    
    static var previews: some View {
        DeviceListRow()
            .environmentObject(managerWrapper)
            .environmentObject(DeviceWrapper(MockDevice()))
    }
}
