//
//  ScanButton.swift
//  WELDeviceExample
//

import SwiftUI

struct ScanButton: View {
    @EnvironmentObject var wrapper: ManagerWrapper
    
    var body: some View {
        if wrapper.isReady {
            if !wrapper.isScanning {
                Button(action: scan) {
                    Text("Start Scanning")
                }
            } else {
                Button(action: stopScan) {
                    Text("Stop Scanning")
                }
            }
        } else {
            Text("Manager disabled")
            Text("Ensure Bluetooth permissions are enabled and powered on")
                .font(.subheadline)
        }
    }
    
    func scan() {
        guard let manager = wrapper.manager,
              manager.startScan() else { return }
    }
    
    func stopScan() {
        guard let manager = wrapper.manager,
              manager.stopScan() else { return }
    }
}

struct ScanButton_Previews: PreviewProvider {
    static let managerWrapper: ManagerWrapper = ManagerWrapper(true)
    
    static var previews: some View {
        ScanButton()
            .environmentObject(managerWrapper)
    }
}
